Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deFunctors.hpp File Reference

templated functor classes More...

`#include "deGlobalTypes.hpp"`

Include dependency graph for deFunctors.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | deBoundsCheckedArray
class | deDelPtrsFunctor
class | HashEdge
class | HashEdge32
class | deLazyEval
class | mean_variance
| calculates the mean and variance of a set of data, one element at a time More...
class | deReleasePtrsFunctor
class | deWorldObjectSmartPtr
## Typedefs
typedef IdeWorldObject | IdeWorldObject
## Functions
template<typename T> void | deSwap (T &a, T &b)
template<typename IT, class F> void | deIter_App (IT first, const IT &last, F &func)
| iterates over an iterator range, executing func on each element unconditionally
template<typename IT, class F> deBoolean | deIter_All (IT first, const IT &last, F &func)
template<typename IT, class T, class C> void | deFindErase (IT first, const IT &last, const T &val, C &container)
| iterates over an iterator range, until it finds the matching value, and erases it from container
template<typename IT, class T> IT | deFind (IT first, const IT &last, const T &val)

## Detailed Description

templated functor classes

Author:
  Assassin

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Dec 2002

Author:
  Assassin

Remarks:
  Creation

## Typedef Documentation

typedef class IdeWorldObject IdeWorldObject

## Function Documentation

template<typename IT, class T>
IT deFind | ( | IT | first,
|  | const IT & | last,
|  | const T & | val
| ) |

| iterates over an iterator range, until it finds the matching value, and returns that iterator, or returns last if it was not found

template<typename IT, class T, class C>
void deFindErase | ( | IT | first,
|  | const IT & | last,
|  | const T & | val,
|  | C & | container
| ) |

| iterates over an iterator range, until it finds the matching value, and erases it from container

template<typename IT, class F>
deBoolean deIter_All | ( | IT | first,
|  | const IT & | last,
|  | F & | func
| ) |

| iterates over an iterator range, executing func on each element, until func(e) evaluates to false Returns: deTRUE if all func(e) returned true for all elements, deFALSE otherwise

template<typename IT, class F>
void deIter_App | ( | IT | first,
|  | const IT & | last,
|  | F & | func
| ) |

| iterates over an iterator range, executing func on each element unconditionally

template<typename T>
void deSwap | ( | T & | a,
|  | T & | b
| ) |